<!DOCTYPE html>
<html>

<head>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    

</head>

<body>
    <div class="container">
        <!--add type:password
            thêm required vào html để check bắt buôc nhập, tuy nhiên phải ở trong thẻ <form> thì mới có tác dụng -->
        <form id="frm-login">
            <div class="row d-flex align-items-center min-vh-100">
                <div class="col-sm-6 text-center mx-auto my-0 jumbotron">
                    <div class="mb-5">
                        <h3 class="text-center">Sign-up</h3>
                        <p class="hint-text">Please fill in this form to create an account!</p>
                    </div>
                    <div class="form-group">
                        <hr>
                    </div>

                    <div class="form-group">
                        <div class="row">
                            <div class="col">
                                <input type="text" class="form-control" id="inp-first-name" placeholder="First Name" />
                            </div>
                            <div class="col">
                                <input type="text" class="form-control" id="inp-last-name" placeholder="Last Name" />
                            </div>
                        </div>
                    </div>

                    <div>
                        <div class="form-group">
                            <input type="email" name="email" placeholder="email" id="inp-email" class="form-control"
                                required>
                        </div>
                        <div class="form-group">
                            <input name="password" type="password" id="inp-password" placeholder="Password"
                                class="form-control" required>
                        </div>
                        <div class="form-group">
                            <input name="confirm-password" type="password" id="inp-confirm-password"
                                placeholder="Password" class="form-control" required>
                        </div>
                        <div class="form-group">
                            <input type="checkbox" name="rememberusername" id="check-confirm-accept" /> I accept the
                            <a href="#"> Terms of use</a> &amp;
                            <a href="#"> Privacy Policy</a>
                            <p id="p-agree-feedback" class="invalid-feedback">You must accept before submitting</p>
                        </div>
                        <div class="form-group">
                            <button id="btn-sign-up" class="btn btn-log btn-block btn-info">Sign Up</button>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>

</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    var gFirstNameElement = $('#inp-first-name');
    var gLastNameElement = $('#inp-last-name');
    var gEmailElement = $('#inp-email');
    var gPasswordElement = $('#inp-password');
    var gConfirmPWElement = $('#inp-confirm-password');
    var gAcceptCheckElement = $('#check-confirm-accept');

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */

    $(document).ready(function () {
        $("#btn-sign-up").on("click", function (event) {
            event.preventDefault();
            onBtnSignUpClick();
        })
    });
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onBtnSignUpClick() {
        //b1 thu thập dữ liệu
        var vUserObj = {
            firstname: "",
            lastname: "",
            email: "",
            password: "",
            confirmpassword: "",
            isAccept: false
        }
       
        getFormInputData(vUserObj);
        console.log(vUserObj);
        //b2: validate
        var isValidate = validateInput(vUserObj)
        if (isValidate) {
            //b3: hiển thi
            showUserInfo(vUserObj);
        }
    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    //hàm thu thập data login
    function getFormInputData(paramUserDataObj) {
       
        paramUserDataObj.firstname = $("#inp-first-name").val().trim();
        paramUserDataObj.lastname = $('#inp-last-name').val().trim();
        paramUserDataObj.email = $('#inp-email').val().trim();
        paramUserDataObj.password = $('#inp-password').val().trim();
        paramUserDataObj.confirmpassword = $('#inp-confirm-password').val().trim();
        paramUserDataObj.isAccept = $('#check-confirm-accept').is(":checked");
        // paramUserDataObj.isRemember = $("#ckb-remember-username").val(); Cách 2
    }

    //hàm validate data input
    function validateInput(paramUserDataObj) {
        var vRegexStr = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;

        if (paramUserDataObj.firstname === "") {
            alert("Nhập FirstName Đi Bạn Êiiiii");
            gFirstNameElement.focus();
            return false;
        }

        if (paramUserDataObj.lastname == "") {
            alert("Nhập LastName Đi Bạn Êiiii");
            gLastNameElement.focus();
            return false;
        }

        if (paramUserDataObj.email == "") {
            alert("Nhập Email Đi Bạn Êiii");
            gEmailElement.focus();
            return false;
        }

        if (!vRegexStr.test(paramUserDataObj.email)) {
            alert("Xem lại  email không hợp lệ đó bồ  !!");
            gEmailElement.focus();
            return false;
        }

        if (paramUserDataObj.password == "") {
            alert("Please enter PassWord");
            gPasswordElement.focus();
            return false;
        }

        if (paramUserDataObj.password != paramUserDataObj.confirmpassword) {
            alert("PassWord và Confirm Password Không giống nhau kìa bạn êiii");
            gPasswordElement.focus();
            return false;
        }

        if (!paramUserDataObj.isAccept) {
            $("#p-agree-feedback").css("display", "block");//check rùi thì không hiện yêu cầu
            return false;
        }
        else {
            $("#p-agree-feedback").css("display", "none");//chưa check thì hiện yêu cầu check
        }

        return true;
    }

    //hàm hiển thị thông tin đăng ký
    function showUserInfo(paramUserDataObj) {
        console.log("FirstName: " + paramUserDataObj.firstname);
        console.log("LastName: " + paramUserDataObj.lastname);
        console.log("PW: " + paramUserDataObj.password);

    }
</script>

</html>